>From 192b2e5420b9189f67024340dd19d578ff76dfc7 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
Date: Thu, 5 May 2011 19:15:26 +0200
Subject: [PATCH] add (untested) board enable for GA-K8NS Pro-939

flashrom -V (before patch): http://paste.flashrom.org/view.php?id=531
lspci (short): http://paste.flashrom.org/view.php?id=532
lspci (verbose): http://paste.flashrom.org/view.php?id=533

Signed-off-by: Idwer Vollering <vidwer@gmail.com>
Signed-off-by: Michael Karcher <flashrom@mkarcher.dialup.fu-berlin.de>
Signed-off-by: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
---
 board_enable.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

diff --git a/board_enable.c b/board_enable.c
index d58dc95..3ee7221 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -985,6 +985,15 @@ static int nvidia_mcp_gpio8_raise(void)
 
 /*
  * Suited for:
+ *  - Gigabyte GA-K8NS Pro-939: Socket 939 + NVIDIA nForce3  + CK8
+ */
+static int nvidia_mcp_gpio0a_raise(void)
+{
+	return nvidia_mcp_gpio_set(0x0a, 1);
+}
+
+/*
+ * Suited for:
  *  - MSI K8N Neo2 Platinum: Socket 939 + nForce3 Ultra + CK8
  */
 static int nvidia_mcp_gpio0c_raise(void)
@@ -1991,6 +2000,7 @@ const struct board_pciid_enable board_pciid_enables[] = {
 	{0x8086, 0x24c3, 0x1458, 0x24c2,  0x8086, 0x24cd, 0x1458, 0x5004, NULL,         NULL, NULL,           P3, "GIGABYTE",    "GA-8PE667 Ultra 2",     0,   OK, intel_ich_gpio32_raise},
 	{0x10DE, 0x02F1, 0x1458, 0x5000,  0x10DE, 0x0261, 0x1458, 0x5001, NULL,         NULL, NULL,           P3, "GIGABYTE",    "GA-K8N51GMF",           0,   OK, nvidia_mcp_gpio3b_raise},
 	{0x10DE, 0x026C, 0x1458, 0xA102,  0x10DE, 0x0260, 0x1458, 0x5001, NULL,         NULL, NULL,           P3, "GIGABYTE",    "GA-K8N51GMF-9",         0,   OK, nvidia_mcp_gpio3b_raise},
+	{0x10de, 0x00e4, 0x1458, 0x0c11,  0x10de, 0x00e0, 0x1458, 0x0c11, NULL,         NULL, NULL,           P3, "GIGABYTE",    "GA-K8NS Pro-939",       0,   NT, nvidia_mcp_gpio0a_raise},
 	{0x10DE, 0x0050, 0x1458, 0x0C11,  0x10DE, 0x005e, 0x1458, 0x5000, NULL,         NULL, NULL,           P3, "GIGABYTE",    "GA-K8N-SLI",            0,   OK, nvidia_mcp_gpio21_raise},
 	{0x8086, 0x2415, 0x103c, 0x1250,  0x10b7, 0x9200, 0x103c, 0x1247, NULL,         NULL, NULL,           P3, "HP",          "e-Vectra P2706T",       0,   OK, board_hp_p2706t}, 
 	{0x1166, 0x0223, 0x103c, 0x320d,  0x14e4, 0x1678, 0x103c, 0x703e, NULL,         "hp", "dl145_g3",     P3, "HP",          "ProLiant DL145 G3",     0,   OK, board_hp_dl145_g3_enable},
-- 
1.7.1

